Download
(224 Kb)
Download
Updated: 01-16-11 12:49 PM
Pictures
File Info
Updated:01-16-11 12:49 PM
Created:unknown
Downloads:21,070
Favorites:64
MD5:
Sapper Enhanced  Popular! (More than 5000 hits)
Version: 4.021
by: greegree [More]
I liked addon called Sapper, 'cos it warn my party members about Sap/Blind expires, but at my look it has a way to improve.

So Sapper Enhanced
1) Warn about Sap, Blind, Dismantle applications and expirations.
2) Announce Kick uses and successful spell interrupts.
3) Create CandyBars for sapped, blinded and disarmed mobs or players.
4) Play alarm sound for you, when sap fades and blind applied.
5) Automatically mark mobs with Yellow Star / Blue Square / Green Triangle.
6) Reveal breakers of your crowd-control spells.
7) Easy configuration (Waterfall support).

/Sapper
2.4.2
-Bugfix with Sap/Blind immunity

2.4.3
-Bugfix with double events

2.4.4
-Added SpellID check instead of SpellName so it has to work with any locale
-Bugfix with resap

2.5
-CC brake detection added

2.51
-Bugfix with dualsap

2.52
-Waterfall support, i.e. GUI dialog

2.53
-Announce change, local announce when solo
-Bugfix with AURA_REMOVED
-Bugfix with Waterfall

2.54
-Bugfix with resap msg

3.00a
-SpellID for Sap, Kick fixed
-Glyph of Sap detection added
-Some small interface bugs fixed

3.1
-deDE localization errors fixed
-Usless sound file removed
-CandyBar error OnShow fixed

3.2
-ruRU localization added
-SPELL_AURA_DISPELLED bugfix

3.3
-ruRu, deDE localization bugfix
-GetNumGlyphSockets bugfix

3.31
-localizations bugfix

3.32
-ruRU localization bugfix
-structure of Libs changed

3.33
-All ranks of Sap added

3.34
-Base locale fixed, set to enUS
-SapId bugfix

3.40
-Dismantle added
-Interface support 3.2.0

4.01
-SpellID corrected
-Interface support 4.0.x

4.02
-AURA_BROKEN, AURA_BROKEN_SPELL added
-Sap, Blind PVP duration is now set to 8 sec.
-minor syntax fix

4.02b
-AURA_REFRESH added
-syntax fix.

4.021
-Sap SpellID fixed
-Glyph of Sap SpellID fixed
Optional Files (0)


Archived Files (1)
File Name
Version
Size
Author
Date
3.40
224kB
greegree
11-03-09 10:06 AM


Post A Reply Comment Options
Unread 12-26-08, 12:49 AM  
greegree
A Murloc Raider
 
greegree's Avatar
AddOn Author - Click to view AddOns

Forum posts: 9
File comments: 33
Uploads: 7
Originally posted by Sauronnow
Every new version I am getting new errors.



Anyway, ty for your job on this mod, and marry xmas!
Ty, marry xmas 2u too =)

I have some troubles with locales 'cos i never ever work with it.


Ty for understanding.
greegree is offline Report comment to moderator  
Reply With Quote
Unread 12-25-08, 12:49 PM  
Sauronnow
A Kobold Labourer

Forum posts: 0
File comments: 8
Uploads: 0
Every new version I am getting new errors.

This is for the 3.33 version:

Code:
[2008/12/25 16:43:04-326-x1]: Sapper-3.33\locale\enUS.lua:3: AceLocale(Sapper): Can only accept true as a value on the base locale. "ruRU" is the base locale, "enUS" is not.
Ace2\AceLibrary\AceLibrary.lua:122: in function `error'
AceLocale-2.2-91091 (Ace2):223: in function `RegisterTranslations'
Sapper-3.33\locale\enUS.lua:3: in main chunk

  ---

[2008/12/25 16:43:04-326-x1]: Sapper-3.33\Sapper.lua:426: 'then' expected near 'SapID'

  ---
Anyway, ty for your job on this mod, and marry xmas!
Sauronnow is offline Report comment to moderator  
Reply With Quote
Unread 12-25-08, 12:58 AM  
greegree
A Murloc Raider
 
greegree's Avatar
AddOn Author - Click to view AddOns

Forum posts: 9
File comments: 33
Uploads: 7
Re: Re: Re: 3.31

Originally posted by Jaim Sandar
I'm still getting the same error with 3.33.
try to edit sapper.toc

remove strings:
local\*

except enUS.lua.


then post here the result plz.
greegree is offline Report comment to moderator  
Reply With Quote
Unread 12-24-08, 11:45 PM  
Jaim Sandar
A Deviate Faerie Dragon
AddOn Author - Click to view AddOns

Forum posts: 13
File comments: 358
Uploads: 1
Re: Re: 3.31

Originally posted by greegree
real strange.

enUS is the base locale.
I'm still getting the same error with 3.33.
Jaim Sandar is offline Report comment to moderator  
Reply With Quote
Unread 12-24-08, 02:22 AM  
greegree
A Murloc Raider
 
greegree's Avatar
AddOn Author - Click to view AddOns

Forum posts: 9
File comments: 33
Uploads: 7
Re: 3.31

Originally posted by Jaim Sandar
With 3.31, now I see this in a Blizzard window:

Code:
AddOns\Sapper\enUS.lua:3: AceLocale (Sapper): Can only accept true as a value on the base locale. "ruRU" is the base locale, "enUS" is not.
'ruRU" is the base locale? I am on a enUS realm.
real strange.

enUS is the base locale.
greegree is offline Report comment to moderator  
Reply With Quote
Unread 12-23-08, 05:03 PM  
Jaim Sandar
A Deviate Faerie Dragon
AddOn Author - Click to view AddOns

Forum posts: 13
File comments: 358
Uploads: 1
3.31

With 3.31, now I see this in a Blizzard window:

Code:
AddOns\Sapper\enUS.lua:3: AceLocale (Sapper): Can only accept true as a value on the base locale. "ruRU" is the base locale, "enUS" is not.
'ruRU" is the base locale? I am on a enUS realm.
Jaim Sandar is offline Report comment to moderator  
Reply With Quote
Unread 12-23-08, 10:34 AM  
greegree
A Murloc Raider
 
greegree's Avatar
AddOn Author - Click to view AddOns

Forum posts: 9
File comments: 33
Uploads: 7
Re: Re: THx

Originally posted by Jaim Sandar
Using Sapper 3.3, I'm getting the same:
Sapper\ruRU.lus:4: '}' expected (to close '{' at line 3) near '='

but for some reason BugSack isn't catching it; instead it is displayed in a Blizzard red error window.

I don't know if Sapper is working at all after the error, because I haven't had a chance to do a Sap yet.

Thank you.
i will fix all the error after NY vocation.
greegree is offline Report comment to moderator  
Reply With Quote
Unread 12-22-08, 04:58 PM  
Jaim Sandar
A Deviate Faerie Dragon
AddOn Author - Click to view AddOns

Forum posts: 13
File comments: 358
Uploads: 1
Re: THx

Originally posted by Sauronnow
Some more errors:
Originally posted by greegree
Thx a lot for ur debug messages.
Using Sapper 3.3, I'm getting the same:
Sapper\ruRU.lus:4: '}' expected (to close '{' at line 3) near '='

but for some reason BugSack isn't catching it; instead it is displayed in a Blizzard red error window.

I don't know if Sapper is working at all after the error, because I haven't had a chance to do a Sap yet.

Thank you.
Last edited by Jaim Sandar : 12-22-08 at 07:46 PM.
Jaim Sandar is offline Report comment to moderator  
Reply With Quote
Unread 12-21-08, 12:14 PM  
greegree
A Murloc Raider
 
greegree's Avatar
AddOn Author - Click to view AddOns

Forum posts: 9
File comments: 33
Uploads: 7
Thumbs up THx

Originally posted by Sauronnow
Some more errors:

Thx alot for ur debug messages.
greegree is offline Report comment to moderator  
Reply With Quote
Unread 12-20-08, 12:29 PM  
Opaque
A Fallenroot Satyr
 
Opaque's Avatar

Forum posts: 23
File comments: 143
Uploads: 0
I can see the bar now... but when I unlock it, I can't seem to get it to move to the position I want it to. I've tried right clicking, shift clicking, alt clicking, etc... am I missing something or is this broken?

Thanks!

P.S.
Keep up the great work!!!
__________________
Opaque is offline Report comment to moderator  
Reply With Quote
Unread 12-20-08, 06:57 AM  
Sauronnow
A Kobold Labourer

Forum posts: 0
File comments: 8
Uploads: 0
Some more errors:

Code:
[2008/12/20 10:43:00-267-x1]: Sapper-3.2\ruRU.lua:4: '}' expected (to close '{' at line 3) near '='

  ---

[2008/12/20 10:43:00-267-x1]: Sapper-3.2\deDe.lua:4: '}' expected (to close '{' at line 3) near '='

  ---

[2008/12/20 10:43:09-267-x1]: Sapper-3.2\Sapper.lua:352: 'for' limit must be a number
AceAddon-2.0-91091 (Ace2):983: in function <Interface\AddOns\Ace2\AceAddon-2.0\AceAddon-2.0.lua:976>
<in C code>: ?
AceEvent-2.0-91091 (Ace2):260: in function `TriggerEvent'
AceEvent-2.0-91091 (Ace2):910: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:903>

  ---
Sauronnow is offline Report comment to moderator  
Reply With Quote
Unread 12-20-08, 03:48 AM  
greegree
A Murloc Raider
 
greegree's Avatar
AddOn Author - Click to view AddOns

Forum posts: 9
File comments: 33
Uploads: 7
Re: Errors 3.0

Originally posted by Sauronnow

Downloaded the new version, and I got this errors:
Thanks alot for debug code.
It really helps.

Download new version
greegree is offline Report comment to moderator  
Reply With Quote
Unread 12-19-08, 11:06 PM  
Opaque
A Fallenroot Satyr
 
Opaque's Avatar

Forum posts: 23
File comments: 143
Uploads: 0
Still not seeing a bar on my screen... but the announcements are working.
__________________
Opaque is offline Report comment to moderator  
Reply With Quote
Unread 12-19-08, 06:48 PM  
Sauronnow
A Kobold Labourer

Forum posts: 0
File comments: 8
Uploads: 0
Errors 3.0

Downloaded the new version, and I got this errors:

Code:
[2008/12/19 22:40:22-263-x1]: Sapper-3.00a\deDe.lua:4: '}' expected (to close '{' at line 3) near '='

  ---

[2008/12/19 22:40:25-263-x1]: Sapper-3.00a\Sapper.lua:333: CandyBar-2.0: Bad argument #3 to `Register' (number expected, got nil)
AceAddon-2.0-91091 (Ace2):983: in function <Interface\AddOns\Ace2\AceAddon-2.0\AceAddon-2.0.lua:976>
<in C code>: ?
AceEvent-2.0-91091 (Ace2):260: in function `TriggerEvent'
AceEvent-2.0-91091 (Ace2):910: in function <Interface\AddOns\Ace2\AceEvent-2.0\AceEvent-2.0.lua:903>

  ---
Sauronnow is offline Report comment to moderator  
Reply With Quote
Unread 12-19-08, 03:25 PM  
bril
A Defias Bandit

Forum posts: 1
File comments: 16
Uploads: 0
Originally posted by Litvan
well the "sap bar" doesn't work atm... neither does the telling /p or /ra about it
blind works just fine with both the bar and party/raid announcements
I was able to fix this by editing the lua file and updating the spell id used to identify sap. It was not using the new version you earn in the expansion. I also adjusted kick to the new spell id as well.
bril is offline Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: